package com.hzya.frame.sys.file.upload.entity;

/**
 * @Content 文件上传下载返回结果集
 * @Author gjh
 * @Date 2019/3/18 14:09
 * @Version 1.0
 */
public class FileResultEntity {
    /** 单票的ID ，单票ID作为主文件夹，如果单票ID存在，则按照  单票id/业务类型/附件*/
private Long ticket_id;
    /** 业务ID（合同/合同表ID，预报/预报表ID，服务项/服务项表ID）*/
private Long business_id;
    /** 业务类型
     * contract/合同
     * prediction/预报
     * full_logistics 全程物流
     * international_logistics  国际物流
     * customs_clearance   国内清关
     * transport  运输业务（仓储业务）
     * exchange 纯换单
     * declare  报关报检
     * unpacking  纯开箱单
     * ship_division  船司盖章
     * port_division  港区盖章
     * receipt  发票

     *
     * */
private String business_type;
    /** 1：上传普通文件 2：上传插件*/
    /** 是否是业务附件  true 是（是业务附件的时候，请传入相对应的业务ID，） false 不是，*/

private boolean fileFlag;
    /** 上传文件的ID*/
    private String fileID;
    /** 上传文件的路径*/
    private String src;
    /** 上传状态*/
    private boolean success;

    /** 返回的Object对象*/
    private Object  attribute ;

    public FileResultEntity() {
    }

    public FileResultEntity(String fileID, String src, boolean success) {
        this.fileID = fileID;
        this.src = src;
        this.success = success;
    }

    public String getFileID() {
        return fileID;
    }

    public void setFileID(String fileID) {
        this.fileID = fileID;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public Object getAttribute() {
        return attribute;
    }

    public void setAttribute(Object attribute) {
        this.attribute = attribute;
    }

    public Long getTicket_id() {
        return ticket_id;
    }

    public void setTicket_id(Long ticket_id) {
        this.ticket_id = ticket_id;
    }

    public Long getBusiness_id() {
        return business_id;
    }

    public void setBusiness_id(Long business_id) {
        this.business_id = business_id;
    }

    public String getBusiness_type() {
        return business_type;
    }

    public void setBusiness_type(String business_type) {
        this.business_type = business_type;
    }

    public boolean isFileFlag() {
        return fileFlag;
    }

    public void setFileFlag(boolean fileFlag) {
        this.fileFlag = fileFlag;
    }


}
